apt_package 'software-properties-common'

apt_package 'build-essential'

apt_repository 'ubuntu-toolchain-r' do
  uri 'ppa:ubuntu-toolchain-r/test'
end

apt_update 'update for newly added apt repo'

apt_package 'gcc-4.9'

apt_package 'g++-4.9'

bash 'update compiler alternatives' do
  code <<-EOH
  update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.9 60
  update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.9 60
  update-alternatives --install /usr/bin/cpp cpp /usr/bin/cpp-4.9 60
  EOH
  only_if 'dpkg -l | grep gcc-4.9'
end
